Page title color is poor contrast in New Tab Page
[Tracking Requested - why for this release]: UX regression

Text: #9B9B9B
Background :#EDEDED - #F4F4F4 (from Tools – Web Developer – Eyedropper)
Contrast Ratio is only 

The contrast Ratio should be more than  at least.
See 
